import React, { FC, ReactElement, ReactNode } from 'react';

export type FetchLoaderProps = {
	active: boolean;
	children: ReactNode;
	placeholder?: ReactElement;
};

export const FetchLoader: FC<FetchLoaderProps> = ({ children, active, placeholder }) => {
	if (!active) {
		return <>{children}</>;
	}
	return <div className="animate-pulse flex-1 py-1">{placeholder}</div>;
};
